using System;

namespace Egipatske_pare
{
    class Program
    {
        static void Main(string[] args)
        {
            long isplata = Convert.ToInt64(Console.ReadLine());
            long suma_novcanica = 0;
            while (isplata > 0)
            {
                long cifra = isplata % 10;
                switch (cifra)
                {
                    case 1:
                        suma_novcanica += 1;
                        isplata /= 10;
                        break;
                    case 2:
                        suma_novcanica += 1;
                        isplata /= 10;
                        break;
                    case 3:
                        suma_novcanica += 2;
                        isplata /= 10;
                        break;
                    case 4:
                        suma_novcanica += 2;
                        isplata /= 10;
                        break;
                    case 5:
                        suma_novcanica += 1;
                        isplata /= 10;
                        break;
                    case 6:
                        suma_novcanica += 2;
                        isplata /= 10;
                        break;
                    case 7:
                        suma_novcanica += 2;
                        isplata /= 10;
                        break;
                    case 8:
                        suma_novcanica += 3;
                        isplata /= 10;
                        break;
                    case 9:
                        suma_novcanica += 3;
                        isplata /= 10;
                        break;
                    default:
                        suma_novcanica += 0;
                        isplata /= 10;
                        break;
                }
            }
            Console.WriteLine(suma_novcanica.ToString());
        }
    }
}